#ifndef CLOCK_H
#define CLOCK_H

#ifdef __cplusplus   
extern "C" {
#endif

struct CLOCK_DATA_T{
	unsigned int seqClkNum;
	unsigned int sysClkNum;
	void* pDestPort;
};

class Clock{
public:
	Clock();
	void GetTime(int *pHour, int *pMinute, int *pSecond);
	void GetDate(int *pYear, int *pMonth, int *pDay);
	unsigned int SetTimer(unsigned int nElapse, void *pDestPort, unsigned int * pSeqNum);
	static void * GetDestPort(unsigned int sysClkNum);
	BOOL KillTimer();
private:
	unsigned int GetSeqNum();
	static unsigned int count;
	static CPtrArray ptrArray;
};


#ifdef __cplusplus
}
#endif 

#endif
